Bug 101473 - Boot issues on S2880 w/ Dual 244, 6GB - kerenel reboots machine
Boot issues on S2880 w/ Dual 244, 6GB - kerenel reboots machine
Status: CLOSED DUPLICATE of bug 101710
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jim Paradis
:
: 101478 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-01 12:46 EDT by Santiago Flores
Modified: 2013-08-05 21:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:57:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Santiago Flores 2003-08-01 12:46:24 EDT
Description of problem:
Machine reboots right after kernel beings loading

Version-Release number of selected component (if applicable):
Tarron-AS beta1 and Tarron-WS beta1

How reproducible:
Try booting with the CDs.

Steps to Reproduce:
1. Put CD in tray (make certain computer is set to boot from CDROM/ATAPI device)
2. Go through boot sequence for system
3. Select anyway of installing (text, graphical, no hardware detection, etc.) RH
    
Actual results:
Machine reboots

Expected results:
Install dialog begins

Additional info:
Tyan S2880 with Dual Opteron 244, 6GB DDR, 2 U320 SCSI (install target), SATA
diasbled.
Comment 1 Jeremy Katz 2003-08-01 14:14:50 EDT
*** Bug 101478 has been marked as a duplicate of this bug. ***
Comment 2 Jim Paradis 2003-08-04 11:05:58 EDT
I am not familiar with this sytem type; does it have an onboard serial port?  If
so, would it be possible for you to capture a serial dump of the bootup and
attach it to this bug?  You can mirror the kernel messages to the serial port by
booting with the options "linux text console=ttyS0,38400 console=tty0".  Make
sure that the capturing program is setup for 38400N81. 
Comment 3 Santiago Flores 2003-08-05 13:51:55 EDT
ok

Bootdata ok (command line is initrd=initrd.img devfs=nomount ramdisk_size=9216
BOOT_IMAGE=vmlinuz text console=ttyS0,115200 console=tty0)

Linux version 2.4.21-1.1931.2.349.2.2.ent (bhcompile@thor.perf.redhat.com) (gcc
version 3.2.3 20030422 (Red Hat Linux 3.2.3-12)) #1 Fri Jul 18 00:13:00 EDT 2003

BIOS-provided physical RAM map:

 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)

 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)

 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)

 BIOS-e820: 0000000000100000 - 00000000fbf40000 (usable)

 BIOS-e820: 00000000fbf40000 - 00000000fbf50000 (ACPI data)

 BIOS-e820: 00000000fbf50000 - 00000000fc000000 (ACPI NVS)

 BIOS-e820: 00000000ff7c0000 - 0000000100000000 (reserved)

 BIOS-e820: 0000000100000000 - 0000000180000000 (usable)

kernel direct mapping tables upto 10180000000 @ 8000-f000

found SMP MP-table at 000ff780

hm, page 000ff000 reserved twice.

hm, page 00100000 reserved twice.

hm, page 000fa000 reserved twice.

hm, page 000fb000 reserved twice.

On node 0 totalpages: 1572864

zone(0): 4096 pages.

zone(1): 1568768 pages.

zone(2): 0 pages.

ACPI: RSDP (v000 ACPIAM                     ) @ 0x00000000000f4670

ACPI: RSDT (v001 A M I  OEMRSDT  01280.00787) @ 0x00000000fbf40000

ACPI: FADT (v002 A M I  OEMFACP  01280.00787) @ 0x00000000fbf40200

ACPI: MADT (v001 A M I  OEMAPIC  01280.00787) @ 0x00000000fbf40380

ACPI: OEMB (v001 A M I  OEMBIOS  01280.00787) @ 0x00000000fbf50040

ACPI: ASF! (v016 AMIASF AMDSTRET 00000.00001) @ 0x00000000fbf43550

ACPI: DSDT (v001  0ABCF 0ABCF007 00000.00007) @ 0x0000000000000000

ACPI: BIOS passes blacklist

ACPI: Local APIC address 0xfee00000

ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)

Processor #0 15:5 APIC version 16

ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)

Processor #1 15:5 APIC version 16

ACPI: IOAPIC (id[0x02] address[0xfec00000] global_irq_base[0x0])

IOAPIC[0]: Assigned apic_id 2

IOAPIC[0]: apic_id 2, version 17, address 0xfec00000, IRQ 0-23

ACPI: IOAPIC (id[0x03] address[0xfebfe000] global_irq_base[0x18])

IOAPIC[1]: Assigned apic_id 3

IOAPIC[1]: apic_id 3, version 17, address 0xfebfe000, IRQ 24-27

ACPI: IOAPIC (id[0x04] address[0xfebff000] global_irq_base[0x1c])

IOAPIC[2]: Assigned apic_id 4

IOAPIC[2]: apic_id 4, version 17, address 0xfebff000, IRQ 28-31

ACPI: INT_SRC_OVR (bus[0] irq[0x0] global_irq[0x2] polarity[0x0] trigger[0x0])

ACPI: INT_SRC_OVR (bus[0] irq[0x0] global_irq[0x2] polarity[0x0] trigger[0x0])

Using ACPI (MADT) for SMP configuration information

Checking aperture...

CPU 0: aperture @ c000000 size 32768 KB

Aperture pointing to e820 RAM. Ignoring.

Your BIOS doesn't leave a aperture memory hole

Please enable the IOMMU option in the BIOS setup

Mapping aperture over 65536 KB of RAM @ c000000

Kernel command line: initrd=initrd.img devfs=nomount ramdisk_size=9216
BOOT_IMAGE=vmlinuz text console=ttyS0,115200 console=tty0

Initializing CPU#0

time.c: Detected 1.193182 MHz PIT timer.

time.c: Detected 1794.858 MHz TSC timer.

Console: colour VGA+ 80x25

Calibrating delay loop... 3578.26 BogoMIPS

Memory: 5990136k/6291456k available (1741k kernel code, 232452k reserved, 1627k
data, 180k init)

Dentry cache hash table entries: 262144 (order: 10, 4194304 bytes)

Inode cache hash table entries: 262144 (order: 10, 4194304 bytes)

Mount cache hash table entries: 256 (order: 0, 4096 bytes)

Buffer cache hash table entries: 524288 (order: 10, 4194304 bytes)

Page-cache hash table entries: 524288 (order: 10, 4194304 bytes)

CPU: L1 I Cache: 64K (64 bytes/line/2 way), D cache 64K (64 bytes/line/2 way)

CPU: L2 Cache: 1024K (64 bytes/line/8 way)

Machine Check Reporting enabled for CPU#0

POSIX conformance testing by UNIFIX

testing NMI watchdog ... OK.

ENABLING IO-APIC IRQs

Setting 2 in the phys_id_present_map

...changing IO-APIC physical APIC ID to 2 ... ok.

Setting 3 in the phys_id_present_map

...changing IO-APIC physical APIC ID to 3 ... ok.

Setting 4 in the phys_id_present_map

...changing IO-APIC physical APIC ID to 4 ... ok.

..TIMER: vector=0x31 pin1=2 pin2=0

testing the IO APIC.......................




.................................... done.

Using local APIC timer interrupts.

Detected 12.464 MHz APIC timer.

cpu: 0, clocks: 1994288, slice: 997144

CPU0<T0:1994288,T1:997136,D:8,S:997144,C:1994288>

mtrr: v2.02 (20020716))

ACPI: Subsystem revision 20030619

PCI: Using configuration type 1

 tbxface-0117 [03] acpi_load_tables      : ACPI Tables successfully acquired

Parsing all Control
Methods:.........................................................................................................................................

Table [DSDT](id F004) - 447 Objects with 42 Devices 137 Methods 13 Regions

ACPI Namespace successfully loaded at root ffffffff8049ecc0

[H    [H[0m[2;30;40m                                                       
                                                                               
                                                                               
                                                                               
                           [0m[2;37;40m                                      
                                                                               
                                                                               
                                                                               
                                                                               
                                                                               
                                                                               
                                B       IOS Date: 05/13/03 11:46:25 Ver:
08.00.08                                      TYAN Thunder K8S  V1.01 BIOS     
                                              CPU : AMD Opteron(tm) Processor
244                                              Speed : 1.80GHz    Count : 2  
                                                DRAM Clock CPU0 = 166 MHz, CPU1
= 166 MHz       
Comment 4 Santiago Flores 2003-08-05 13:59:55 EDT
The following is a boot with IOMMU enabled and set to 'BEST FIT':

ok

Bootdata ok (command line is initrd=initrd.img devfs=nomount ramdisk_size=9216
BOOT_IMAGE=vmlinuz text console=ttyS0,115200 console=tty0)

Linux version 2.4.21-1.1931.2.349.2.2.ent (bhcompile@thor.perf.redhat.com) (gcc
version 3.2.3 20030422 (Red Hat Linux 3.2.3-12)) #1 Fri Jul 18 00:13:00 EDT 2003

BIOS-provided physical RAM map:

 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)

 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)

 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)

 BIOS-e820: 0000000000100000 - 00000000eff40000 (usable)

 BIOS-e820: 00000000eff40000 - 00000000eff50000 (ACPI data)

 BIOS-e820: 00000000eff50000 - 00000000f0000000 (ACPI NVS)

 BIOS-e820: 00000000ff7c0000 - 0000000100000000 (reserved)

 BIOS-e820: 0000000100000000 - 0000000180000000 (usable)

kernel direct mapping tables upto 10180000000 @ 8000-f000

found SMP MP-table at 000ff780

hm, page 000ff000 reserved twice.

hm, page 00100000 reserved twice.

hm, page 000fa000 reserved twice.

hm, page 000fb000 reserved twice.

On node 0 totalpages: 1572864

zone(0): 4096 pages.

zone(1): 1568768 pages.

zone(2): 0 pages.

ACPI: RSDP (v000 ACPIAM                     ) @ 0x00000000000f4670

ACPI: RSDT (v001 A M I  OEMRSDT  01280.00787) @ 0x00000000eff40000

ACPI: FADT (v002 A M I  OEMFACP  01280.00787) @ 0x00000000eff40200

ACPI: MADT (v001 A M I  OEMAPIC  01280.00787) @ 0x00000000eff40380

ACPI: OEMB (v001 A M I  OEMBIOS  01280.00787) @ 0x00000000eff50040

ACPI: ASF! (v016 AMIASF AMDSTRET 00000.00001) @ 0x00000000eff43550

ACPI: DSDT (v001  0ABCF 0ABCF007 00000.00007) @ 0x0000000000000000

ACPI: BIOS passes blacklist

ACPI: Local APIC address 0xfee00000

ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)

Processor #0 15:5 APIC version 16

ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)

Processor #1 15:5 APIC version 16

ACPI: IOAPIC (id[0x02] address[0xfec00000] global_irq_base[0x0])

IOAPIC[0]: Assigned apic_id 2

IOAPIC[0]: apic_id 2, version 17, address 0xfec00000, IRQ 0-23

ACPI: IOAPIC (id[0x03] address[0xfebfe000] global_irq_base[0x18])

IOAPIC[1]: Assigned apic_id 3

IOAPIC[1]: apic_id 3, version 17, address 0xfebfe000, IRQ 24-27

ACPI: IOAPIC (id[0x04] address[0xfebff000] global_irq_base[0x1c])

IOAPIC[2]: Assigned apic_id 4

IOAPIC[2]: apic_id 4, version 17, address 0xfebff000, IRQ 28-31

ACPI: INT_SRC_OVR (bus[0] irq[0x0] global_irq[0x2] polarity[0x0] trigger[0x0])

ACPI: INT_SRC_OVR (bus[0] irq[0x0] global_irq[0x2] polarity[0x0] trigger[0x0])

Using ACPI (MADT) for SMP configuration information

Checking aperture...

CPU 0: aperture @ 1ee0000000 size 65536 KB

Your BIOS doesn't leave a aperture memory hole

Please enable the IOMMU option in the BIOS setup

Mapping aperture over 65536 KB of RAM @ c000000

Kernel command line: initrd=initrd.img devfs=nomount ramdisk_size=9216
BOOT_IMAGE=vmlinuz text console=ttyS0,115200 console=tty0

Initializing CPU#0

time.c: Detected 1.193182 MHz PIT timer.

time.c: Detected 1794.328 MHz TSC timer.

Console: colour VGA+ 80x25

Calibrating delay loop... 3578.26 BogoMIPS

Memory: 5793528k/6291456k available (1741k kernel code, 232452k reserved, 1627k
data, 180k init)

Dentry cache hash table entries: 262144 (order: 10, 4194304 bytes)

Inode cache hash table entries: 262144 (order: 10, 4194304 bytes)

Mount cache hash table entries: 256 (order: 0, 4096 bytes)

Buffer cache hash table entries: 524288 (order: 10, 4194304 bytes)

Page-cache hash table entries: 524288 (order: 10, 4194304 bytes)

CPU: L1 I Cache: 64K (64 bytes/line/2 way), D cache 64K (64 bytes/line/2 way)

CPU: L2 Cache: 1024K (64 bytes/line/8 way)

Machine Check Reporting enabled for CPU#0

POSIX conformance testing by UNIFIX

testing NMI watchdog ... OK.

ENABLING IO-APIC IRQs

Setting 2 in the phys_id_present_map

...changing IO-APIC physical APIC ID to 2 ... ok.

Setting 3 in the phys_id_present_map

...changing IO-APIC physical APIC ID to 3 ... ok.

Setting 4 in the phys_id_present_map

...changing IO-APIC physical APIC ID to 4 ... ok.

..TIMER: vector=0x31 pin1=2 pin2=0

testing the IO APIC.......................




.................................... done.

Using local APIC timer interrupts.

Detected 12.460 MHz APIC timer.

cpu: 0, clocks: 1993698, slice: 996849

CPU0<T0:1993696,T1:996832,D:15,S:996849,C:1993698>

mtrr: v2.02 (20020716))

ACPI: Subsystem revision 20030619

PCI: Using configuration type 1

 tbxface-0117 [03] acpi_load_tables      : ACPI Tables successfully acquired

Parsing all Control
Methods:.........................................................................................................................................

Table [DSDT](id F004) - 447 Objects with 42 Devices 137 Methods 13 Regions

ACPI Namespace successfully loaded at root ffffffff8049ecc0

[H    [H[0m[2;30;40m                                                       
                                                                               
                                                                               
                                                                               
                           [0m[2;37;40m                                      
                                                                               
                                                                               
                                                                               
                                                                               
                                                                               
                                                                               
                              IOS Date: 05/13/       03 11:46:25 Ver: 08.00.08 
                                    TYAN Thunder K8S  V1.01 BIOS               
                                    CPU : AMD Opteron(tm) Processor 244        
                                     Speed : 1.80GHz    Count : 2              
                                    DRAM Clock CPU0 = 166 MHz, CPU1 = 166 MHz  
                                                                               
                                                               Press DEL to run
Setup (F4 on Remote keyboard)                                  Press F8 for BBS
POPUP                                                          Checking NVRAM..
                            
Comment 5 Santiago Flores 2003-08-05 14:22:11 EDT
It appears to BOOT if APIC is turned off completly in the BIOS.  However, having
APIC working is desirable. It was set to NOT use APIC 2.0. The following is the
output of the BOOT with NO APIC:

ok

Bootdata ok (command line is initrd=initrd.img devfs=nomount ramdisk_size=9216
BOOT_IMAGE=vmlinuz text console=ttyS0,115200 console=tty0)

Linux version 2.4.21-1.1931.2.349.2.2.ent (bhcompile@thor.perf.redhat.com) (gcc
version 3.2.3 20030422 (Red Hat Linux 3.2.3-12)) #1 Fri Jul 18 00:13:00 EDT 2003

BIOS-provided physical RAM map:

 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)

 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)

 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)

 BIOS-e820: 0000000000100000 - 00000000f0000000 (usable)

 BIOS-e820: 00000000ff7c0000 - 0000000100000000 (reserved)

 BIOS-e820: 0000000100000000 - 0000000180000000 (usable)

kernel direct mapping tables upto 10180000000 @ 8000-f000

found SMP MP-table at 000ff780

hm, page 000ff000 reserved twice.

hm, page 00100000 reserved twice.

hm, page 000fa000 reserved twice.

hm, page 000fb000 reserved twice.

On node 0 totalpages: 1572864

zone(0): 4096 pages.

zone(1): 1568768 pages.

zone(2): 0 pages.

ACPI: Unable to locate RSDP

Intel MultiProcessor Specification v1.1

    Virtual Wire compatibility mode.

OEM ID: TYAN     <6>Product ID: S2880        <6>APIC at: 0xFEE00000

Processor #0 15:5 APIC version 16

Processor #1 15:5 APIC version 16

I/O APIC #2 Version 17 at 0xFEC00000.

I/O APIC #3 Version 17 at 0xFEBFE000.

I/O APIC #4 Version 17 at 0xFEBFF000.

Processors: 2

Checking aperture...

CPU 0: aperture @ 1ee0000000 size 65536 KB

Your BIOS doesn't leave a aperture memory hole

Please enable the IOMMU option in the BIOS setup

Mapping aperture over 65536 KB of RAM @ c000000

Kernel command line: initrd=initrd.img devfs=nomount ramdisk_size=9216
BOOT_IMAGE=vmlinuz text console=ttyS0,115200 console=tty0

Initializing CPU#0

time.c: Detected 1.193182 MHz PIT timer.

time.c: Detected 1794.825 MHz TSC timer.

Console: colour VGA+ 80x25

Calibrating delay loop... 3578.26 BogoMIPS

Memory: 5794296k/6291456k available (1741k kernel code, 232452k reserved, 1627k
data, 180k init)

Dentry cache hash table entries: 262144 (order: 10, 4194304 bytes)

Inode cache hash table entries: 262144 (order: 10, 4194304 bytes)

Mount cache hash table entries: 256 (order: 0, 4096 bytes)

Buffer cache hash table entries: 524288 (order: 10, 4194304 bytes)

Page-cache hash table entries: 524288 (order: 10, 4194304 bytes)

CPU: L1 I Cache: 64K (64 bytes/line/2 way), D cache 64K (64 bytes/line/2 way)

CPU: L2 Cache: 1024K (64 bytes/line/8 way)

Machine Check Reporting enabled for CPU#0

POSIX conformance testing by UNIFIX

testing NMI watchdog ... OK.

ENABLING IO-APIC IRQs

Setting 2 in the phys_id_present_map

...changing IO-APIC physical APIC ID to 2 ... ok.

Setting 3 in the phys_id_present_map

...changing IO-APIC physical APIC ID to 3 ... ok.

Setting 4 in the phys_id_present_map

...changing IO-APIC physical APIC ID to 4 ... ok.

..TIMER: vector=0x31 pin1=2 pin2=0

testing the IO APIC.......................




.................................... done.

Using local APIC timer interrupts.

Detected 12.464 MHz APIC timer.

cpu: 0, clocks: 1994251, slice: 997125

CPU0<T0:1994240,T1:997104,D:11,S:997125,C:1994251>

mtrr: v2.02 (20020716))

ACPI: Subsystem revision 20030619

PCI: Using configuration type 1

tbxfroot-0324 [04] acpi_find_root_pointer: RSDP structure not found,
AE_NOT_FOUND Flags=8

ACPI: System description tables not found

 tbxface-0084: *** Error: acpi_load_tables: Could not get RSDP, AE_NOT_FOUND

 tbxface-0134: *** Error: acpi_load_tables: Could not load tables: AE_NOT_FOUND

ACPI: Unable to load the System Description Tables

PCI: Probing PCI hardware

PCI: Using IRQ router default [1022/746b] at 00:07.3

PCI->APIC IRQ transform: (B0,I7,P3) -> 19

PCI->APIC IRQ transform: (B3,I0,P3) -> 19

PCI->APIC IRQ transform: (B3,I0,P3) -> 19

PCI->APIC IRQ transform: (B3,I6,P0) -> 18

PCI->APIC IRQ transform: (B2,I9,P0) -> 24

PCI->APIC IRQ transform: (B2,I9,P1) -> 25

PCI->APIC IRQ transform: (B2,I10,P0) -> 24

PCI->APIC IRQ transform: (B2,I10,P1) -> 25

Linux agpgart interface v0.99 (c) Jeff Hartmann

agpgart: Maximum main memory to use for agp memory: 5944M

PCI-DMA: Disabling AGP.

PCI-DMA: aperture base @ c000000 size 65536 KB

PCI-DMA: Reserving 64MB of IOMMU area in the AGP aperture

Linux NET4.0 for Linux 2.4

Based upon Swansea University Computer Society NET3.039

Initializing RT netlink socket

Starting kswapd

VFS: Disk quotas vdquot_6.5.1

aio_setup: num_physpages = 393216

aio_setup: sizeof(struct page) = 104

Hugetlbfs mounted.

Total HugeTLB memory allocated, 0

IA32 emulation $Id: sys_ia32.c,v 1.56 2003/04/10 10:45:37 ak Exp $

pty: 2048 Unix98 ptys configured

Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI SERIAL_ACPI enabled

ttyS0 at 0x03f8 (irq = 4) is a 16550A

ttyS1 at 0x02f8 (irq = 3) is a 16550A

Real Time Clock Driver v1.10e

NET4: Frame Diverter 0.46

RAMDISK driver initialized: 256 RAM disks of 9216K size 1024 blocksize

Uniform Multi-Platform E-IDE driver Revision: 7.00beta4-2.4

ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx

AMD8111: IDE controller at PCI slot 00:07.1

AMD8111: chipset revision 3

AMD8111: not 100% native mode: will probe irqs later

ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx

AMD_IDE: Advanced Micro Devices [AMD] AMD-8111 IDE (rev 03) UDMA100 controller
on pci00:07.1

    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:pio, hdb:pio

    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:pio

hdc: HL-DT-ST CD-ROM GCR-8520B, ATAPI CD/DVD-ROM drive

ide1 at 0x170-0x177,0x376 on irq 15

ide-floppy driver 0.99.newide

ide-floppy driver 0.99.newide

md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27

md: Autodetecting RAID arrays.

md: autorun ...

md: ... autorun DONE.

Initializing Cryptographic API

NET4: Linux TCP/IP 1.0 for NET4.0

IP: routing cache hash table of 65536 buckets, 512Kbytes

TCP: Hash tables configured (established 524288 bind 65536)

Linux IP multicast router 0.06 plus PIM-SM

Initializing IPsec netlink socket

NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.

RAMDISK: Compressed image found at block 0

VFS: Mounted root (ext2 filesystem).

 
Comment 6 Jim Paradis 2003-08-06 17:28:02 EDT
This looks like an ACPI problem to me.  In your first two examples you get some
weird stuff printed out after the "ACPI Namespace successfully loaded" message,
then a reboot.  This suggests to me that the AML interpreter (which runs at this
point) is somehow going off into the weeds and causing a reboot.  Note that when
you boot with noapic, it doesn't *find* the system description tables and thus
doesn't even *try* to run the AML interpreter.

We need to find out why the AML interpreter is breaking.
Comment 7 Santiago Flores 2003-08-06 19:28:45 EDT
I may need some help getting the information that you need. For starters though,
the BIOS has a couple of options regarding APIC. First enable or disable APIC
v2.0. Second enable or disable APIC. Third enable or disable valuie that "allows
the ACPI BIOS to add a pointer to an OEMB table in the Root System Description
table (RSDT). NOTE: OEMB table is used to pass POST data to the AML code during
the ACPI O/S operations."

What next?
Comment 8 Jim Paradis 2003-08-06 19:38:02 EDT
Hang tight.  I'm working on a theory that the problem might actually have to do
with stack pressure in the AML interpreter itself.  I came to this theory when
chasing down Bug 101710, but it might have something to do with your situation
as well.
Comment 9 Jim Paradis 2003-08-20 13:16:31 EDT

*** This bug has been marked as a duplicate of 101710 ***
Comment 10 Red Hat Bugzilla 2006-02-21 13:57:56 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.